API Reference

Create a transfer

posthttps://api-sandbox.circle.com/v1/businessAccount/transfers

  • Reference
  • Playground

A transfer can be made from an existing business account to a blockchain location.

Body parameters
amount
object
Required
amount
string
Required

Magnitude of the amount, in units of the currency, with a ..

currency
string
Required

Currency code for the amount.

Allowed valuesUSDEURBTCETH
destination
object
Required
type
string
Required
Allowed valuesverified_blockchain
addressId
string
Required

The ID of the verified blockchain recipient address.

idempotencyKey
string
Required

Universally unique identifier (UUID v4) idempotency key. This key is utilized to ensure exactly-once execution of mutating requests.

source
object

The wallet to be used as the source of the transfer. If not provided, the transfer will come from the main wallet of the account.

You can get wallet IDs associated with your account using the Core API for Institutions.

id
string
Required

Unique system-generated identifier for the wallet of the institutional entity.

type
string
Required
Allowed valueswallet
Response
RequestChoose a language
ResponseChoose an example
1{
2  "data": {
3    "id": "b8627ae8-732b-4d25-b947-1df8f4007a29",
4    "source": {
5      "type": "wallet",
6      "id": "12345",
7      "identities": [
8        {
9          "type": "individual",
10          "name": "Satoshi Nakamoto",
11          "addresses": [
12            {
13              "line1": "100 Money Street",
14              "line2": "Suite 1",
15              "city": "Boston",
16              "district": "MA",
17              "postalCode": "01234",
18              "country": "US"
19            }
20          ]
21        }
22      ]
23    },
24    "destination": {
25      "type": "blockchain",
26      "address": "0x8381470ED67C3802402dbbFa0058E8871F017A6F",
27      "addressTag": "123456789",
28      "chain": "ALGO"
29    },
30    "amount": {
31      "amount": "3.14",
32      "currency": "USD"
33    },
34    "fees": [
35      {
36        "amount": "10.00",
37        "currency": "USD",
38        "type": "network"
39      }
40    ],
41    "transactionHash": "0x4cebf8f90c9243a23c77e4ae20df691469e4b933b295a73376292843968f7a63",
42    "status": "pending",
43    "errorCode": "transfer_failed",
44    "createDate": ""
45  }
46}
Did this page help you?
© 2023-2026 Circle Technology Services, LLC. All rights reserved.